{
  pkgs,
  lib,
  fetchFromGitHub,
  ...
}: let
  myAwesome = pkgs.awesome.overrideAttrs (old: {
    patches = [];

    cmakeFlags =
      old.cmakeFlags
      ++ [
        "-DGENERATE_DOC=OFF"
        "-DGENERATE_MANPAGES=OFF"
      ];

    src = fetchFromGitHub {
      owner = "awesomewm";
      repo = "awesome";
      rev = "b54e50ad6cfdcd864a21970b31378f7c64adf3f4";
      sha256 = "sha256-yDXC1PT5r0V6bbyk/Y6oBxvHE74q96cGKlo3C3OUobE=";
    };
  });
in
  myAwesome
